Failed to dts init_sd_card

Front page Forums 🤖 🚗 AI Driving Olympics 🏆 Embodied tasks Failed to dts init_sd_card

This topic contains 0 replies, has 1 voice, and was last updated by  jd110145derek 6 months, 3 weeks ago.

Viewing 1 post (of 1 total)
  • Author
    Posts
  • #52968

    jd110145derek
    Participant

    I had tried to figure out problem on internet, but still failed
    Could somebody help me!! \(TAT)/
    ##############################################################################
    dts : Traceback (most recent call last):
    : File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 141, in _new_conn
    : (self.host, self.port), self.timeout, **extra_kw)
    : File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 60, in create_connection
    : for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
    : File “/usr/lib/python3.6/socket.py”, line 745, in getaddrinfo
    : for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
    : socket.gaierror: [Errno -2] Name or service not known
    :
    : During handling of the above exception, another exception occurred:
    :
    : Traceback (most recent call last):
    : File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 601, in urlopen
    : chunked=chunked)
    : File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 346, in _make_request
    : self._validate_conn(conn)
    : File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 852, in _validate_conn
    : conn.connect()
    : File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 284, in connect
    : conn = self._new_conn()
    : File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 150, in _new_conn
    : self, “Failed to establish a new connection: %s” % e)
    : urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7fc6d9c85f98>: Failed to establish a new connection: [Errno -2] Name or service not known
    :
    : During handling of the above exception, another exception occurred:
    :
    : Traceback (most recent call last):
    : File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 440, in send
    : timeout=timeout
    : File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 639, in urlopen
    : _stacktrace=sys.exc_info()[2])
    : File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 398, in increment
    : raise MaxRetryError(_pool, url, error or ResponseError(cause))
    : urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=’validate.core-os.net’, port=443): Max retries exceeded with url: /validate (Caused by NewConnectionError(‘<urllib3.connection.VerifiedHTTPSConnection object at 0x7fc6d9c85f98>: Failed to establish a new connection: [Errno -2] Name or service not known’,))
    :
    : During handling of the above exception, another exception occurred:
    :
    : Traceback (most recent call last):
    : File “/home/derek/.local/lib/python3.6/site-packages/dt_shell/main.py”, line 38, in cli_main
    : cli_main_()
    : File “/home/derek/.local/lib/python3.6/site-packages/dt_shell/main.py”, line 175, in cli_main_
    : shell.onecmd(cmdline)
    : File “/usr/lib/python3.6/cmd.py”, line 217, in onecmd
    : return func(arg)
    : File “/home/derek/.local/lib/python3.6/site-packages/dt_shell/cli.py”, line 287, in <lambda>
    : do_command_lam = lambda s, w: do_command(klass, s, w)
    : File “/home/derek/.local/lib/python3.6/site-packages/dt_shell/dt_command_abs.py”, line 50, in do_command
    : cls.command(shell, args)
    : File “/home/derek/.dt-shell/commands-multi/master19/init_sd_card/command.py”, line 245, in command
    : step2function[step_name](shell, parsed)
    : File “/home/derek/.dt-shell/commands-multi/master19/init_sd_card/command.py”, line 571, in step_setup
    : validate_user_data(user_data_yaml)
    : File “/home/derek/.dt-shell/commands-multi/master19/init_sd_card/command.py”, line 1083, in validate_user_data
    : r = requests.put(url, data=user_data_yaml)
    : File “/usr/lib/python3/dist-packages/requests/api.py”, line 126, in put
    : return request(‘put’, url, data=data, **kwargs)
    : File “/usr/lib/python3/dist-packages/requests/api.py”, line 58, in request
    : return session.request(method=method, url=url, **kwargs)
    : File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 520, in request
    : resp = self.send(prep, **send_kwargs)
    : File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 630, in send
    : r = adapter.send(request, **kwargs)
    : File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 508, in send
    : raise ConnectionError(e, request=request)
    : requests.exceptions.ConnectionError: HTTPSConnectionPool(host=’validate.core-os.net’, port=443): Max retries exceeded with url: /validate (Caused by NewConnectionError(‘<urllib3.connection.VerifiedHTTPSConnection object at 0x7fc6d9c85f98>: Failed to establish a new connection: [Errno -2] Name or service not known’,))

    dts : If you think this is a bug, please report that you are using:
    :
    : duckietown-challenges: 5.1.5
    : duckietown-shell-commands: 4.0.44
    : python: “3.6.9 (default, Jul 17 2020, 12:50:27) \n[GCC 8.4.0]”
    : duckietown-shell: 5.1.6
    : commands-version: master19
    : encodings:
    : stdout: UTF-8
    : stderr: UTF-8
    : locale: UTF-8

Viewing 1 post (of 1 total)

You must be logged in to reply to this topic.